C	lines that begin with C are COMMENT lines - the workstation ignores them
!	but this exclamation mark is a more common way to comment
!	most fortran lines begin with a tab (or 6 spaces) 
!	some fortran lines begin with a (1-5 digit) number = statement label

	print*,'enter a number cutie!'

!	PRINT	is a standard output statement - it outputs to your screen
!	in the past it might have gone directly to a printer.  
!
!  *    is used for 'list-directed' formatting - list-directed in the
!       sense that the machine looks at the variable list and makes a
!       reasonable guess at how to display that _type_ of variable

	read*,y


!	READ	is a standard input statement - in this form it inputs from your
!	terminal.  See that this is the list-directed form; more generally:
!	read format_number, variable-list

!	NOTE: variable names starting with i,j,k,l,m,n are considered integers;
!	all the rest are considered reals.  (Note that complex, "strings",
!	booleans (a.k.a., logicals: .true. .or. .false. only), arrays 
!	(matrices) are other options.)

!	READ can also be used as: 
!	read(unit_number, format_number) variable-list
!	or more general input...this works like WRITE below.

!	WRITE	is a standard output statement - it can output to several devices
!	the number '6' often refers to the terminal, avoid numbers: 0,1,5,6,7
!	other numbers would refer to files on the disk.  
!	The '*' again indicates list-directed formatting
!
	write(6,*)'this is write(6,*) - y=',y	! displays on the terminal
	write(4,*)'this is write(4,*) - y=',y	! to file fort.4 on disk
C
C note:	end-of-line comments via:	!
C
	print*,sin(y)**2+cos(y)**2
!the above should be nearly one
	x=2*sin(y)*cos(y)-sin(2*y)
	print*,x
!the above should be nearly zero

	end
